List patients (health module only)
Exige a permissão patients:read
Parâmetros| cursor | query · string |
|---|
| limit | query · integer |
|---|
| q | query · string |
|---|
Respostas: 200 OK · 400 Invalid request (ISSA-0002) · 401 Missing, invalid, expired or revoked key (ISSA-4040) · 403 The key lacks the scope (ISSA-4041) · 404 Not found · 429 More than 120 requests a minute (ISSA-4042)
curl -H "Authorization: Bearer $ISSA_API_KEY" \
https://holaissa.com/v1/public/api/patients
Create a patient (health module only)
Exige a permissão patients:write
Corpo| fullNameobrigatório | string |
|---|
| birthDate | string |
|---|
| sex | string |
|---|
| phone | string |
|---|
| email | string |
|---|
| leadId | string |
|---|
Respostas: 201 OK · 400 Invalid request (ISSA-0002) · 401 Missing, invalid, expired or revoked key (ISSA-4040) · 403 The key lacks the scope (ISSA-4041) · 404 Not found · 429 More than 120 requests a minute (ISSA-4042)
curl -X POST -H "Authorization: Bearer $ISSA_API_KEY" \
-H "Content-Type: application/json" \
-d '{}' \
https://holaissa.com/v1/public/api/patientsGet a patient (health module only)
Exige a permissão patients:read
Parâmetros| idobrigatório | path · string |
|---|
Respostas: 200 OK · 400 Invalid request (ISSA-0002) · 401 Missing, invalid, expired or revoked key (ISSA-4040) · 403 The key lacks the scope (ISSA-4041) · 404 Not found · 429 More than 120 requests a minute (ISSA-4042)
curl -H "Authorization: Bearer $ISSA_API_KEY" \
https://holaissa.com/v1/public/api/patients/{id}GET/patients/{id}/profileCurrent clinical profile of a patient
Exige a permissão patients:read
Parâmetros| idobrigatório | path · string |
|---|
Respostas: 200 OK · 400 Invalid request (ISSA-0002) · 401 Missing, invalid, expired or revoked key (ISSA-4040) · 403 The key lacks the scope (ISSA-4041) · 404 Not found · 429 More than 120 requests a minute (ISSA-4042)
curl -H "Authorization: Bearer $ISSA_API_KEY" \
https://holaissa.com/v1/public/api/patients/{id}/profileSigned clinical notes of a patient, newest first
Exige a permissão patients:read
Parâmetros| idobrigatório | path · string |
|---|
| cursor | query · string |
|---|
| limit | query · integer |
|---|
Respostas: 200 OK · 400 Invalid request (ISSA-0002) · 401 Missing, invalid, expired or revoked key (ISSA-4040) · 403 The key lacks the scope (ISSA-4041) · 404 Not found · 429 More than 120 requests a minute (ISSA-4042)
curl -H "Authorization: Bearer $ISSA_API_KEY" \
https://holaissa.com/v1/public/api/patients/{id}/notes